Bug 1185552 - [abrt] nxagent: nxagentDisconnectPicture(): nxagent killed by SIGSEGV
Summary: [abrt] nxagent: nxagentDisconnectPicture(): nxagent killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c846908df1df2f00db6dca8c27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-24 15:53 UTC by Carlos ESTEVES
Modified: 2015-12-02 17:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:56:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (6.50 KB, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: core_backtrace (3.06 KB, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: dso_list (2.53 KB, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: environ (867 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: maps (13.21 KB, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: open_fds (196 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details
File: var_log_messages (183 bytes, text/plain)
2015-01-24 15:53 UTC, Carlos ESTEVES
no flags Details

Description Carlos ESTEVES 2015-01-24 15:53:03 UTC
Description of problem:
MacOSX 10.10 - Maximize Client X2GO...

Version-Release number of selected component:
nxagent-3.5.0.28-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/nx/../x2go/bin/x2goagent -extension XFIXES -nolisten tcp -nolisten tcp -dpi 72 -D -auth /home/cesteves/.Xauthority -geometry 800x600 -name X2GO-cesteves-50-1422109911_stDXFCE_dp32 :50
crash_function: nxagentDisconnectPicture
executable:     /usr/lib64/nx/bin/nxagent
kernel:         3.17.8-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 nxagentDisconnectPicture at Render.c:2798
 #1 FindClientResourcesByType at X/NXresource.c:835
 #2 nxagentDisconnectAllPicture at Render.c:2814
 #3 nxagentDisconnectSession at Reconnect.c:383
 #4 nxagentHandleConnectionStates at Reconnect.c:218
 #5 nxagentWakeupHandler at Handlers.c:589
 #6 WakeupHandler at dixutils.c:472
 #7 WaitForSomething at WaitFor.c:389
 #8 Dispatch at X/NXdispatch.c:619

Comment 1 Carlos ESTEVES 2015-01-24 15:53:05 UTC
Created attachment 983701 [details]
File: backtrace

Comment 2 Carlos ESTEVES 2015-01-24 15:53:06 UTC
Created attachment 983702 [details]
File: cgroup

Comment 3 Carlos ESTEVES 2015-01-24 15:53:07 UTC
Created attachment 983703 [details]
File: core_backtrace

Comment 4 Carlos ESTEVES 2015-01-24 15:53:08 UTC
Created attachment 983704 [details]
File: dso_list

Comment 5 Carlos ESTEVES 2015-01-24 15:53:09 UTC
Created attachment 983705 [details]
File: environ

Comment 6 Carlos ESTEVES 2015-01-24 15:53:10 UTC
Created attachment 983706 [details]
File: exploitable

Comment 7 Carlos ESTEVES 2015-01-24 15:53:11 UTC
Created attachment 983707 [details]
File: limits

Comment 8 Carlos ESTEVES 2015-01-24 15:53:12 UTC
Created attachment 983708 [details]
File: maps

Comment 9 Carlos ESTEVES 2015-01-24 15:53:13 UTC
Created attachment 983709 [details]
File: open_fds

Comment 10 Carlos ESTEVES 2015-01-24 15:53:14 UTC
Created attachment 983710 [details]
File: proc_pid_status

Comment 11 Carlos ESTEVES 2015-01-24 15:53:15 UTC
Created attachment 983711 [details]
File: var_log_messages

Comment 12 Orion Poplawski 2015-01-24 19:26:39 UTC
How reproducible is this?

Upstream bug filed: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=766

Comment 13 Orion Poplawski 2015-07-14 21:09:31 UTC
If you are feeling adventurous - please test out pre-release versions of nx-libs here: http://copr-fe.cloud.fedoraproject.org/coprs/orion/nxlibs36/ and let me know if it helps or makes things worse.

Comment 14 Fedora End Of Life 2015-11-04 15:27:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 07:56:08 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.